libzypp 17.37.10

MediaSource.h File Reference
`#include <iosfwd>`
`#include <utility>`
`#include <zypp/Pathname.h>`
`#include <zypp/base/String.h>`
`#include <zypp/base/PtrTypes.h>`

Go to the source code of this file.

## Classes
class | zypp::media::MediaSource
| Media source internally used by MediaManager and MediaHandler. More...
class | zypp::media::AttachPoint
| Attach point of a media source. More...
struct | zypp::media::AttachedMedia
| A simple structure containing references to a media source and its attach point. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::media

## Typedefs
using | zypp::media::MediaAccessId = unsigned int
| Media manager access Id type.
using | zypp::media::MediaSourceRef = zypp::RW_pointer<MediaSource>
using | zypp::media::AttachPointRef = zypp::RW_pointer<AttachPoint>